%define api_version 3
%define lib_major 0
%define api %{api_version}.0
%define libname %mklibname wnck %{api_version} %{lib_major}
%define gi_name %mklibname wnck-gir %{api}
%define libnamedev %mklibname -d wnck %{api_version}

Summary: Libwnck is Window Navigator Construction Kit
Name: libwnck3
Version: 40.1
Release: %mkrel 1
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/3.1/libwnck-%{version}.tar.xz
License: LGPLv2+
URL: http://www.gnome.org/
Group: System/Libraries

BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64girepository-devel
BuildRequires: lib64glib2.0_0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64startup-notification-1-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xext-devel
BuildRequires: lib64xi-devel
BuildRequires: lib64xres-devel
BuildRequires: libxcb-devel
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: gnome-common
#---------------------------------------
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
libwnck is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.

%package -n %{libname}
Summary:	%{summary}
Group:		System/Libraries
Requires:	%{name} >= %{version}
Obsoletes:	lib64wnck-3_0 < 3.1.5

%description -n %{libname}
libwnck is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.


%package -n %{libnamedev}
Summary:	Static libraries, include files for libwnck
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Conflicts:	%mklibname -d wnck-1_ 4
Conflicts:	%mklibname -d wnck-1_ 16
Conflicts:	%mklibname -d wnck-1_ 18
Obsoletes:	lib64wnck-3-devel < 3.1.5

%description -n %{libnamedev}
libwnck is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.

%prep
%setup -q -n libwnck-%version

%build
%meson -Dgtk_doc=true
%meson_build

%install
rm -rf $RPM_BUILD_ROOT
%meson_install


find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
rm -rf %buildroot%_datadir/locale/{io,be@latin,bn_IN,si,uz@cyrillic}
%find_lang libwnck-3.0

%files -f libwnck-3.0.lang
%defattr(-,root,root)
%{_bindir}/wnckprop
%{_bindir}/wnck-urgency-monitor

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libwnck-%{api_version}.so.%{lib_major}*
%{_libdir}/girepository-1.0/Wnck-%{api}.typelib

%files -n %{libnamedev}
%defattr(-,root,root)
%{_includedir}/*
%doc %{_datadir}/gtk-doc/html/libwnck-3.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/Wnck-%{api}.gir


%changelog
* Fri Feb 18 2022 tex - 40.1-1pclos2022
- new version

* Thu Mar 26 2020 tex - 3.36.0-1pclos2020
- new version

* Mon Sep 16 2019 tex - 3.32.0-2pclos2019
- rebuild against updates

* Fri May 03 2019 tex - 3.32.0-1pclos2019
- new
